Services
All operations require authentication.
List DNS zonesProduction
Returns the names of the DNS zones.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a DNS zoneProduction
Returns a DNS zone: name servers, last update date, and whether DNSSEC and DNS Anycast are active.
Path parameters
Zone name
Response
Is DNSSEC activated for this zone
Is DNSSEC supported by this zone
Whether the DNS zone has a DNS Anycast subscription
IAM resource metadata
Last update date of the DNS zone
Zone name
Name servers that host the DNS zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName} \
-H "authorization: Bearer $OVH_TOKEN"{ "dnssecActivated": true, "dnssecSupported": true, "hasDnsAnycast": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "nameServers": [ "string" ]}
Get the zone statusProduction
Returns whether the zone is deployed, with its errors and warnings.
Path parameters
Zone name
Response
Error list if any
Whether the zone is deployed or not
Warning list if any
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ "string" ], "isDeployed": true, "warnings": [ "string" ]}
Get the zone capabilitiesProduction
Returns whether DynHost is available for the zone.
Path parameters
Zone name
Response
True if dynHost available for this zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ capabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "dynHost": true}